## FolksNoteFieldDetails

FolksNoteFieldDetails — Object representing a note that can have some parameters associated with it.

## Types and Values

#define | FOLKS_TYPE_NOTE_FIELD_DETAILS
struct | FolksNoteFieldDetails
struct | FolksNoteFieldDetailsClass
| FolksNoteDetails
struct | FolksNoteDetailsIface

## Description

See FolksAbstractFieldDetails for details on common parameter names and values.

## Functions

## Types and Values

### FOLKS_TYPE_NOTE_FIELD_DETAILS

    #define FOLKS_TYPE_NOTE_FIELD_DETAILS (folks_note_field_details_get_type ())

The type for FolksNoteFieldDetails.

### struct FolksNoteFieldDetails

    struct FolksNoteFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksNoteFieldDetailsPrivate * priv;
    };

Object representing a note that can have some parameters associated with it.

See FolksAbstractFieldDetails for details on common parameter names and values.

Since: 0.6.0

### struct FolksNoteFieldDetailsClass

    struct FolksNoteFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_NOTE_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksNoteDetails

    typedef struct _FolksNoteDetails FolksNoteDetails;

This interface represents the list of notes associated to a FolksPersona and FolksIndividual.

Since: 0.4.0

### struct FolksNoteDetailsIface

    struct FolksNoteDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_notes) (FolksNoteDetails* self, GeeSet* notes, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_notes_finish) (FolksNoteDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_notes) (FolksNoteDetails* self);
    	void (*set_notes) (FolksNoteDetails* self, GeeSet* value);
    };

Interface for creating FolksNoteDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_notes` () | virtual method called by ``folks_note_details_change_notes()`` |
`change_notes_finish` () | asynchronous finish function for `change_notes`, called by ``folks_note_details_change_notes()`` |
`get_notes` () | getter method for the abstract property "notes" |
`set_notes` () | setter method for the abstract property "notes" |